> # Update Information (Latest listed first)
> ### v2.2.0
> - Save locations of the GuardianPower icon and the minimap.
> - Shrink the status effects and move them a bit to make it look cleaner.
> - Quality stars no longer wrap after the TMP update.
> - Next update will likely be a big one, but I wanted to get this out as it's annoying me during my playthrough.
> ### v2.1.11
> - Fix an issue with the custom minimap causing errors in the console because of TextMeshPro.
> ### v2.1.10
> - Update for Valheim 0.217.24
> ### v2.1.9
> - `NOTE:` This update will require you to move your png files to the config folder. This is to make it easier to configure the images. The folder will be created for you. It will be `BepInEx\config\Azumatt.MinimalUI_Backgrounds`
    >   - Reminder that all you have to do to make this work is have 1 of the folders Unzipped in the configuration folder (can be anywhere inside of BepInEx\config)
>   - I understand that this might cause some errors in your console if you don't read this. Please do not ping me about it being a "bug" in this update. Move your files before booting the game, or if you are using only the out of the box pictures, just make sure to delete the unzipped images before booting. There can be only 1 folder with the images in it that are unzipped, or the images by themselves unzipped in the config folder (with the correct names).
> - Add ability to have a circular and/or rotating minimap. Off by default and requires a game reboot (at the moment) to take effect. Changing live back to the normal map or to the custom one will break the map texture.
    >   - The custom minimap comes with zoom in and out buttons, wind direction, a compass, and a day/night cycle visual.
>   - At this time, it's not fully configurable. I wanted to get more feedback on it before I went too far down the rabbit hole.
>   - ![Custom Minimap example image](https://i.imgur.com/rb92wNi.png "Custom Minimap image")
> - Massively update the readme to be more clear and concise. Add images to be pretty. Maybe I'll add a video tutorial at some point if you all are still struggling.
> - It is known that the guardian power image doesn't save properly. I'm working on it, I'm aware of it, but it's not in this update. Expect it next.
> ### v2.1.8
> - Add rotation configs
> - Fix file change filter for mods like Chaos Tricks that write to the plugins folder all the time.
> ### v2.1.7
> - Save the custom bars scaling. Check out the "4.5 - Scales" section to edit this. It doesn't live update currently if changed in the configuration file directly, but you can "live update" it by holding down control and using the scroll wheel in game. You must be in the Escape menu, not your inventory or other.
> ### v2.1.6
> - Compatibility with Minimal Status Effects
> ### v2.1.5
> - BetterTrader compatibility with their UI
> - Weight Status Effect toggles added (Weight Status Display section)
> ### v 2.1.4
> - Mistlands update.
> ### v 2.1.2 / v2.1.3
> - Shouldn't use my templates for everything :P
> ### v 2.1.1
> - Fixed a bug caused by my unfinished testing code. Map is now properly moveable again.
> ### v2.1.0
> - Hot-reload of the backgrounds when images are changed, custom backgrounds option is toggled, or Alpha configuration is changed.
> - README.md updated to reflect new changes and new image names. The new information can be found below or in the "Things to note" section.
> - Add list of acceptable shortcuts to the config file for the hotkeys.
> - Fixed bug with searching the plugins folder for custom backgrounds. It now searches for the files in the plugins folder correctly.
> - These now work with the custom backgrounds
    >   - Variant Dialog Panel (MUI_VariantDialogPanel256x256.png)
>   - Remove Character/Name Panel (MUI_RemoveCharacterDialog270x100.png). These are the same size and will be affected by the same image.
>   - Bottom Window Panel (MUI_BottomWindowPanel512x60.png). Used to use the same image as the Player Inventory Panel, it is now changed to be separate and the correct size.
>   - JoinIPPanel/CustomizationPanel use the same image as the Split Dialog Panel, (MUI_SplitDialogPanel256x256.png).
>   - New World/Remove World Panel use the same image as the Skills Dialog Panel (MUI_SkillsDialogPanel512x512.png).
> - Haldor's UI now works with the custom backgrounds and is affected by MinimalUI's transparency ability.
    >   - Haldor's UI is affected by the (MUI_VariantDialogPanel256x256.png) and (MUI_PlayerInvPanel295x154.png) images, as they are the same size for what is needed.
> - Update to work with 211.7 version of Valheim. Also provide compatibility with the new windows they added.
> - Added up-to-date auga background zip.
> - Changes to health bar and stamina bar. (New bar options found in configs, disabled by default)
> - Changes to item quality and colors.
> - Health and stamina bars now flash when low. Configurable in the config file, along with the color they display.
> - Bring in some of my testing changes, expect a few bugs, releasing this a little early just so it works with the latest game version.
> ### v2.0.1
> - Add ability to move Building Menu around
> - Build menu now effected by alpha value and custom background (affected by MUI_BuildMenuPanel512x512.png)
> - Fix issue with JC UI
> - Toggle added to Always Open the inventory and crafting panels, like vanilla does. (default to on!)
    >   - Originally, I wanted this mod to be more like other games where it is "tabbed" and the UI is
          >     minimal because not everything is always active on your screen. Some people didn't like this, toggle was added.
> - Add ability to scale and move the selected building piece's resource window.
> ### v2.0.0
> - Added more configuration options
    >   - Custom Backgrounds (Example DarkUI given in zip in 2.0.0 download)
          >     - Turn on using custom backgrounds from the plugins folder. Must follow the naming convention below. Only one
                  instance of the files can be in the plugins folder at one time. The files can be anywhere in the plugins folder
                  and the mod will find them. If you have them in the plugins folder, but your background is still transparent,
                  remember to change your alpha value to be fully visible.
                  >       - MUI_CompendiumPanel440x330.png
>       - MUI_ContainerPanel295x180.png
>       - MUI_CraftingPanel578x671.png
>       - MUI_InfoPanel280x90.png
>       - MUI_PlayerInvPanel295x154.png
>       - MUI_ServerSelectPanel578x671.png
>       - MUI_SkillsDialogPanel512x512.png
>       - MUI_SplitDialogPanel256x256.png
>       - MUI_TrophiesPanel562x329.png
>       - MUI_VariantDialogPanel256x256.png
>   - UI panel positions and movement
>   - Changes to crafting and inventory panels. They are now disabled until opened by clicking the new buttons. They will auto open when using a chest or crafting station.
      >     - These buttons are found in the information panel. By default, this should be at the top of your screen with the player name and skills/pvp buttons.
> - Internally switch UI based on Jewelcrafting being installed or not. Using a custom background overrides this. Optionally turn if off by default in configurations as well.
> ### v1.0.0
> - Initial Release